# OgreShadowTextureManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreTexture.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Classes

struct | Ogre::ShadowTextureConfig
| Structure containing the configuration for one shadow texture. More...
class | Ogre::ShadowTextureManager
| Class to manage the available shadow textures which may be shared between many SceneManager instances if formats agree. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector< TexturePtr >::type | Ogre::ShadowTextureList
typedef vector < ShadowTextureConfig >::type | Ogre::ShadowTextureConfigList
typedef ConstVectorIterator < ShadowTextureConfigList > | Ogre::ConstShadowTextureConfigIterator

## Functions

_OgreExport bool | Ogre::operator== (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)
_OgreExport bool | Ogre::operator!= (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09